#
# spec file for package blogbench
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           blogbench
Version:        1.1
Release:        4.3
Summary:        Filesystem Benchmark
License:        ISC
Group:          System/Benchmark
Url:            http://blogbench.pureftpd.org/project/blogbench
Source0:        http://download.pureftpd.org/pub/%{name}/%{name}-%{version}.tar.bz2
Source1:        http://download.pureftpd.org/pub/%{name}/%{name}-%{version}.tar.bz2.sig
Source2:	%{name}.keyring
Source3:	%{name}.changes
Patch1:         fix-rewriters-argcount.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Blogbench is a portable filesystem benchmark that tries to reproduce the load
of a real-world busy file server. It stresses the filesystem with multiple
threads performing random reads, writes, and rewrites in order to get a
realistic idea of the scalability and the concurrency a system can handle.

%prep
%setup -q
%patch1 -p1
# remove _DATE_ and _TIME_ macros
modified="$(sed -n '/^----/n;s/ - .*$//;p;q' "%{SOURCE3}")"
DATE="\"$(date -d "${modified}" "+%%b %%e %%Y")\""
TIME="\"$(date -d "${modified}" "+%%R")\""
find .  -name '*.[ch]' |\
    xargs sed -i "s/__DATE__/${DATE}/g;s/__TIME__/${TIME}/g"

%build
%configure --with-largefile
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/blogbench
%doc %{_mandir}/man8/blogbench.8%{ext_man}

%changelog
* Mon Mar  9 2015 mpluskal@suse.com
- Correct license
* Sun Mar  8 2015 mpluskal@suse.com
- Add gpg key
- Replace _DATE_
- Cleanup build dependencies
* Wed Feb  4 2015 mpluskal@suse.com
- Tiny spec file cleanup
- Update license
* Fri Dec  6 2013 dsterba@suse.cz
- fix-rewriters-argcount.patch: the --rewriters argument should accept
  a value according to help
- clean up spec file
* Fri Jul 23 2010 pascal.bleser@opensuse.org
- initial package (1.1)
